Subject: Re: linux-next: manual merge of the devicetree tree with the drm tree

From: Frank Rowand <[email-masked]>
Date: Mon, 13 Nov 2017 10:43:35 -0800

Hi Jyri,

On 11/13/17 07:40, Jyri Sarha wrote:
> On 11/13/17 07:58, Stephen Rothwell wrote:
>> Hi all,
>>
>> On Mon, 30 Oct 2017 20:37:56 +0000 Mark Brown <[email-masked]> wrote:
>>>
>>> Today's linux-next merge of the devicetree tree got a conflict in:
>>>
>>>   drivers/gpu/drm/tilcdc/tilcdc_slave_compat.c
>>>
>>> between commit:
>>>
>>>   44cd3939c111b7 ("drm/tilcdc: Remove redundant OF_DETACHED flag setting")
>>>
>>> from the drm tree and commit:
>>>
>>>   f948d6d8b792bb ("of: overlay: avoid race condition between applying multiple overlays")
>>>
>>> from the devicetree tree.
>>>
>>> I fixed it up (see below) and can carry the fix as necessary. This
>>> is now fixed as far as linux-next is concerned, but any non trivial
>>> conflicts should be mentioned to your upstream maintainer when your tree
>>> is submitted for merging.  You may also want to consider cooperating
>>> with the maintainer of the conflicting tree to minimise any particularly
>>> complex conflicts.
>>>
>>> diff --cc drivers/gpu/drm/tilcdc/tilcdc_slave_compat.c
>>> index 482299a6f3b0,54025af534d4..000000000000
>>> --- a/drivers/gpu/drm/tilcdc/tilcdc_slave_compat.c
>>> +++ b/drivers/gpu/drm/tilcdc/tilcdc_slave_compat.c
>>> @@@ -163,12 -162,8 +162,6 @@@ static struct device_node * __init tilc
>>>   		return NULL;
>>>   	}
>>>   
>>> - 	ret = of_resolve_phandles(overlay);
>>> - 	if (ret) {
>>> - 		pr_err("%s: Failed to resolve phandles: %d\n", __func__, ret);
>>> - 		return NULL;
>>> - 	}
>>>  -	of_node_set_flag(overlay, OF_DETACHED);
>>> --
>>>   	return overlay;
>>>   }
>>>   
>>
>> Just a reminder that this conflict still exists.
>>
> 
> After some consideration, I think we can drop the dts backward
> compatibility code from drm/tilcdc. It seems that it is causing a lot of
> trouble and I do not even know if anybody uses it anymore. Here is a
> patch for dropping it:
> 
> https://lists.freedesktop.org/archives/dri-devel/2017-November/157394.html
> 
> I did not plan to merge it before v4.16, but if this is a bigger problem
> I can push is right now for v4.15.
> 
> Best regards,
> Jyri
> 

The dropping patch is much appreciated.

It would make life easier for me if the patch gets into v4.15-rc.

-Frank